Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411590 - Review Request: ignition-msgs - Common messages for the ignition framework
Summary: Review Request: ignition-msgs - Common messages for the ignition framework
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1423591
TreeView+ depends on / blocked
 
Reported: 2017-01-10 02:47 UTC by Rich Mattes
Modified: 2018-02-08 00:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-08 00:49:11 UTC
Type: ---
puntogil: fedora-review+


Attachments (Terms of Use)

Description Rich Mattes 2017-01-10 02:47:10 UTC
Spec URL: https://rmattes.fedorapeople.org/RPMS/ignition-msgs/ignition-msgs.spec
SRPM URL: https://rmattes.fedorapeople.org/RPMS/ignition-msgs/ignition-msgs-0.6.1-1.fc25.src.rpm

Description:
A standard set of message definitions, used by Ignition Transport, and
other applications.  Contains pre-compiled protobuf definitions of messages
for re-use by other libraries and applications.

Fedora Account System Username: rmattes

rpmlint:
$ rpmlint ./ignition-msgs.spec ../RPMS/x86_64/ignition-msgs-*
./ignition-msgs.spec:38: E: hardcoded-library-path in %{_prefix}/lib/ruby
ignition-msgs.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
ignition-msgs.x86_64: W: spelling-error %description -l en_US protobuf -> prototype
ignition-msgs-devel.x86_64: W: only-non-binary-in-usr-lib
3 packages and 1 specfiles checked; 1 errors, 3 warnings.

The error is a line in %install that removes an un-needed ruby file, it should be OK.  The rest of the warnings are OK to ignore.

scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17227335

Comment 1 Rich Mattes 2017-03-05 16:25:36 UTC
Update to 0.7.0:

Spec URL: https://rmattes.fedorapeople.org/RPMS/ignition-msgs/ignition-msgs.spec
SRPM URL: https://rmattes.fedorapeople.org/RPMS/ignition-msgs/ignition-msgs-0.7.0-1.fc25.src.rpm


rpmlint:
ignition-msgs.src: W: spelling-error %description -l en_US pre -> per, ore, pee
ignition-msgs.src: W: spelling-error %description -l en_US protobuf -> prototype
ignition-msgs.src:40: E: hardcoded-library-path in %{_prefix}/lib/ruby
ignition-msgs.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
ignition-msgs.x86_64: W: spelling-error %description -l en_US protobuf -> prototype
ignition-msgs-devel.x86_64: W: only-non-binary-in-usr-lib
4 packages and 0 specfiles checked; 1 errors, 5 warnings.

scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=18196424

Comment 2 gil cattaneo 2017-03-05 18:25:00 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1239040 bytes in 275 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "BSD (3 clause)", "Unknown or generated". 15
     files have unknown license. Detailed output of licensecheck in
     /home/gil/1411590-ignition-msgs/licensecheck.txt

The following source files are without license headers:
./ignition-msgs-0.7.0/include/ignition/msgs/ign_auto_headers.hh.in
./ignition-msgs-0.7.0/ignition/msgs/altimeter.proto
./ignition-msgs-0.7.0/ignition/msgs/any.proto
./ignition-msgs-0.7.0/ignition/msgs/atmosphere.proto
./ignition-msgs-0.7.0/ignition/msgs/axis.proto
./ignition-msgs-0.7.0/ignition/msgs/battery.proto
./ignition-msgs-0.7.0/ignition/msgs/boolean.proto
./ignition-msgs-0.7.0/ignition/msgs/boxgeom.proto
./ignition-msgs-0.7.0/ignition/msgs/bytes.proto
./ignition-msgs-0.7.0/ignition/msgs/camera_cmd.proto
./ignition-msgs-0.7.0/ignition/msgs/camera_lens.proto
./ignition-msgs-0.7.0/ignition/msgs/camerasensor.proto
./ignition-msgs-0.7.0/ignition/msgs/cessna.proto
./ignition-msgs-0.7.0/ignition/msgs/clock.proto
./ignition-msgs-0.7.0/ignition/msgs/cmd_vel2d.proto
./ignition-msgs-0.7.0/ignition/msgs/collision.proto
./ignition-msgs-0.7.0/ignition/msgs/color.proto
./ignition-msgs-0.7.0/ignition/msgs/contact.proto
./ignition-msgs-0.7.0/ignition/msgs/contacts.proto
./ignition-msgs-0.7.0/ignition/msgs/contactsensor.proto
./ignition-msgs-0.7.0/ignition/msgs/cylindergeom.proto
./ignition-msgs-0.7.0/ignition/msgs/density.proto
./ignition-msgs-0.7.0/ignition/msgs/diagnostics.proto
./ignition-msgs-0.7.0/ignition/msgs/distortion.proto
./ignition-msgs-0.7.0/ignition/msgs/double_v.proto
./ignition-msgs-0.7.0/ignition/msgs/double.proto
./ignition-msgs-0.7.0/ignition/msgs/duration.proto
./ignition-msgs-0.7.0/ignition/msgs/empty.proto
./ignition-msgs-0.7.0/ignition/msgs/entity_factory.proto
./ignition-msgs-0.7.0/ignition/msgs/float_v.proto
./ignition-msgs-0.7.0/ignition/msgs/float.proto
./ignition-msgs-0.7.0/ignition/msgs/fluid.proto
./ignition-msgs-0.7.0/ignition/msgs/fog.proto
./ignition-msgs-0.7.0/ignition/msgs/friction.proto
./ignition-msgs-0.7.0/ignition/msgs/geometry.proto
./ignition-msgs-0.7.0/ignition/msgs/gps_sensor.proto
./ignition-msgs-0.7.0/ignition/msgs/gps.proto
./ignition-msgs-0.7.0/ignition/msgs/gui_camera.proto
./ignition-msgs-0.7.0/ignition/msgs/gui.proto
./ignition-msgs-0.7.0/ignition/msgs/header.proto
./ignition-msgs-0.7.0/ignition/msgs/heightmapgeom.proto
./ignition-msgs-0.7.0/ignition/msgs/hydra.proto
./ignition-msgs-0.7.0/ignition/msgs/ign_auto_headers.hh.in
./ignition-msgs-0.7.0/ignition/msgs/image_stamped.proto
./ignition-msgs-0.7.0/ignition/msgs/image.proto
./ignition-msgs-0.7.0/ignition/msgs/imagegeom.proto
./ignition-msgs-0.7.0/ignition/msgs/images_stamped.proto
./ignition-msgs-0.7.0/ignition/msgs/imu_sensor.proto
./ignition-msgs-0.7.0/ignition/msgs/imu.proto
./ignition-msgs-0.7.0/ignition/msgs/inertial.proto
./ignition-msgs-0.7.0/ignition/msgs/int32_v.proto
./ignition-msgs-0.7.0/ignition/msgs/int32.proto
./ignition-msgs-0.7.0/ignition/msgs/int64_v.proto
./ignition-msgs-0.7.0/ignition/msgs/int64.proto
./ignition-msgs-0.7.0/ignition/msgs/joint_animation.proto
./ignition-msgs-0.7.0/ignition/msgs/joint_cmd.proto
./ignition-msgs-0.7.0/ignition/msgs/joint_wrench_stamped.proto
./ignition-msgs-0.7.0/ignition/msgs/joint_wrench.proto
./ignition-msgs-0.7.0/ignition/msgs/joint.proto
./ignition-msgs-0.7.0/ignition/msgs/joystick.proto
./ignition-msgs-0.7.0/ignition/msgs/laserscan_stamped.proto
./ignition-msgs-0.7.0/ignition/msgs/laserscan.proto
./ignition-msgs-0.7.0/ignition/msgs/light.proto
./ignition-msgs-0.7.0/ignition/msgs/link_data.proto
./ignition-msgs-0.7.0/ignition/msgs/link.proto
./ignition-msgs-0.7.0/ignition/msgs/log_control.proto
./ignition-msgs-0.7.0/ignition/msgs/log_playback_control.proto
./ignition-msgs-0.7.0/ignition/msgs/log_playback_stats.proto
./ignition-msgs-0.7.0/ignition/msgs/log_status.proto
./ignition-msgs-0.7.0/ignition/msgs/logical_camera_image.proto
./ignition-msgs-0.7.0/ignition/msgs/logical_camera_sensor.proto
./ignition-msgs-0.7.0/ignition/msgs/magnetometer.proto
./ignition-msgs-0.7.0/ignition/msgs/marker_v.proto
./ignition-msgs-0.7.0/ignition/msgs/marker.proto
./ignition-msgs-0.7.0/ignition/msgs/material.proto
./ignition-msgs-0.7.0/ignition/msgs/meshgeom.proto
./ignition-msgs-0.7.0/ignition/msgs/model_configuration.proto
./ignition-msgs-0.7.0/ignition/msgs/model_v.proto
./ignition-msgs-0.7.0/ignition/msgs/model.proto
./ignition-msgs-0.7.0/ignition/msgs/packet.proto
./ignition-msgs-0.7.0/ignition/msgs/param_v.proto
./ignition-msgs-0.7.0/ignition/msgs/param.proto
./ignition-msgs-0.7.0/ignition/msgs/physics.proto
./ignition-msgs-0.7.0/ignition/msgs/pid.proto
./ignition-msgs-0.7.0/ignition/msgs/planegeom.proto
./ignition-msgs-0.7.0/ignition/msgs/plugin_v.proto
./ignition-msgs-0.7.0/ignition/msgs/plugin.proto
./ignition-msgs-0.7.0/ignition/msgs/pointcloud.proto
./ignition-msgs-0.7.0/ignition/msgs/polylinegeom.proto
./ignition-msgs-0.7.0/ignition/msgs/pose_animation.proto
./ignition-msgs-0.7.0/ignition/msgs/pose_stamped.proto
./ignition-msgs-0.7.0/ignition/msgs/pose_trajectory.proto
./ignition-msgs-0.7.0/ignition/msgs/pose_v.proto
./ignition-msgs-0.7.0/ignition/msgs/pose.proto
./ignition-msgs-0.7.0/ignition/msgs/poses_stamped.proto
./ignition-msgs-0.7.0/ignition/msgs/projector.proto
./ignition-msgs-0.7.0/ignition/msgs/propagation_grid.proto
./ignition-msgs-0.7.0/ignition/msgs/propagation_particle.proto
./ignition-msgs-0.7.0/ignition/msgs/publish.proto
./ignition-msgs-0.7.0/ignition/msgs/publishers.proto
./ignition-msgs-0.7.0/ignition/msgs/quaternion.proto
./ignition-msgs-0.7.0/ignition/msgs/raysensor.proto
./ignition-msgs-0.7.0/ignition/msgs/request.proto
./ignition-msgs-0.7.0/ignition/msgs/response.proto
./ignition-msgs-0.7.0/ignition/msgs/rest_login.proto
./ignition-msgs-0.7.0/ignition/msgs/rest_logout.proto
./ignition-msgs-0.7.0/ignition/msgs/rest_post.proto
./ignition-msgs-0.7.0/ignition/msgs/rest_response.proto
./ignition-msgs-0.7.0/ignition/msgs/road.proto
./ignition-msgs-0.7.0/ignition/msgs/scene.proto
./ignition-msgs-0.7.0/ignition/msgs/selection.proto
./ignition-msgs-0.7.0/ignition/msgs/sensor_noise.proto
./ignition-msgs-0.7.0/ignition/msgs/sensor_v.proto
./ignition-msgs-0.7.0/ignition/msgs/sensor.proto
./ignition-msgs-0.7.0/ignition/msgs/server_control.proto
./ignition-msgs-0.7.0/ignition/msgs/shadows.proto
./ignition-msgs-0.7.0/ignition/msgs/sim_event.proto
./ignition-msgs-0.7.0/ignition/msgs/sky.proto
./ignition-msgs-0.7.0/ignition/msgs/sonar_stamped.proto
./ignition-msgs-0.7.0/ignition/msgs/sonar.proto
./ignition-msgs-0.7.0/ignition/msgs/spheregeom.proto
./ignition-msgs-0.7.0/ignition/msgs/spherical_coordinates.proto
./ignition-msgs-0.7.0/ignition/msgs/stringmsg_v.proto
./ignition-msgs-0.7.0/ignition/msgs/stringmsg.proto
./ignition-msgs-0.7.0/ignition/msgs/subscribe.proto
./ignition-msgs-0.7.0/ignition/msgs/surface.proto
./ignition-msgs-0.7.0/ignition/msgs/tactile.proto
./ignition-msgs-0.7.0/ignition/msgs/test.proto
./ignition-msgs-0.7.0/ignition/msgs/time.proto
./ignition-msgs-0.7.0/ignition/msgs/topic_info.proto
./ignition-msgs-0.7.0/ignition/msgs/track_visual.proto
./ignition-msgs-0.7.0/ignition/msgs/uint32_v.proto
./ignition-msgs-0.7.0/ignition/msgs/uint32.proto
./ignition-msgs-0.7.0/ignition/msgs/uint64_v.proto
./ignition-msgs-0.7.0/ignition/msgs/uint64.proto
./ignition-msgs-0.7.0/ignition/msgs/undo_redo.proto
./ignition-msgs-0.7.0/ignition/msgs/user_cmd_stats.proto
./ignition-msgs-0.7.0/ignition/msgs/user_cmd.proto
./ignition-msgs-0.7.0/ignition/msgs/vector2d.proto
./ignition-msgs-0.7.0/ignition/msgs/vector3d.proto
./ignition-msgs-0.7.0/ignition/msgs/visual_v.proto
./ignition-msgs-0.7.0/ignition/msgs/visual.proto
./ignition-msgs-0.7.0/ignition/msgs/web_request.proto
./ignition-msgs-0.7.0/ignition/msgs/wind.proto
./ignition-msgs-0.7.0/ignition/msgs/wireless_node.proto
./ignition-msgs-0.7.0/ignition/msgs/wireless_nodes.proto
./ignition-msgs-0.7.0/ignition/msgs/world_control.proto
./ignition-msgs-0.7.0/ignition/msgs/world_modify.proto
./ignition-msgs-0.7.0/ignition/msgs/world_reset.proto
./ignition-msgs-0.7.0/ignition/msgs/world_stats.proto
./ignition-msgs-0.7.0/ignition/msgs/wrench_stamped.proto
./ignition-msgs-0.7.0/ignition/msgs/wrench.proto

Please, ask to upstream to confirm the licensing of code and/or content/s, and add license headers
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

[x]: License file installed when any subpackage combination is installed.
[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/include/ignition
     (ignition-math-devel)
[?]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     ignition-msgs-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1372160 bytes in /usr/share
    See above
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ignition-msgs-0.7.0-1.fc26.i686.rpm
          ignition-msgs-devel-0.7.0-1.fc26.i686.rpm
          ignition-msgs-debuginfo-0.7.0-1.fc26.i686.rpm
          ignition-msgs-0.7.0-1.fc26.src.rpm
ignition-msgs.i686: W: spelling-error %description -l en_US pre -> per, ore, pee
ignition-msgs.i686: W: spelling-error %description -l en_US protobuf -> prototype
ignition-msgs.src: W: spelling-error %description -l en_US pre -> per, ore, pee
ignition-msgs.src: W: spelling-error %description -l en_US protobuf -> prototype
ignition-msgs.src:40: E: hardcoded-library-path in %{_prefix}/lib/ruby
4 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: ignition-msgs-debuginfo-0.7.0-1.fc26.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ignition-msgs.i686: W: spelling-error %description -l en_US pre -> per, ore, pee
ignition-msgs.i686: W: spelling-error %description -l en_US protobuf -> prototype
ignition-msgs.i686: W: unused-direct-shlib-dependency /usr/lib/libignition-msgs0.so.0.7.0 /lib/libignition-math3.so.3
ignition-msgs.i686: W: unused-direct-shlib-dependency /usr/lib/libignition-msgs0.so.0.7.0 /lib/libm.so.6
3 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
ignition-msgs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libignition-math3.so.3
    libm.so.6
    libprotobuf.so.12
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

ignition-msgs-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    ignition-math-devel
    ignition-msgs(x86-32)
    libignition-msgs0.so.0
    pkgconfig(ignition-math3)
    protobuf-devel

ignition-msgs-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
ignition-msgs:
    ignition-msgs
    ignition-msgs(x86-32)
    libignition-msgs0.so.0

ignition-msgs-devel:
    cmake(ignition-msgs0)
    ignition-msgs-devel
    ignition-msgs-devel(x86-32)
    pkgconfig(ignition-msgs0)

ignition-msgs-debuginfo:
    ignition-msgs-debuginfo
    ignition-msgs-debuginfo(x86-32)



Source checksums
----------------
http://gazebosim.org/distributions/ign-msgs/releases/ignition-msgs-0.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : 5e749ddad57e3e471e01cfc240a9602595dc095952cf34436c40864add08b9dc
  CHECKSUM(SHA256) upstream package : 5e749ddad57e3e471e01cfc240a9602595dc095952cf34436c40864add08b9dc


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1411590 --plugins C/C++ -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Rich Mattes 2017-03-05 20:42:21 UTC
Thanks for taking this!

I raised an issue upstream about the proto file licensing:
https://bitbucket.org/ignitionrobotics/ign-msgs/issues/9/proto-file-licensing

I updated the package to provide a separate -doc package, with the generated html documentation.

Updated package at:
Spec URL: https://rmattes.fedorapeople.org/RPMS/ignition-msgs/ignition-msgs.spec
SRPM URL: https://rmattes.fedorapeople.org/RPMS/ignition-msgs/ignition-msgs-0.7.0-2.fc25.src.rpm

rpmlint:
ignition-msgs.src: W: spelling-error %description -l en_US pre -> per, ore, pee
ignition-msgs.src: W: spelling-error %description -l en_US protobuf -> prototype
ignition-msgs.src:49: E: hardcoded-library-path in %{_prefix}/lib/ruby
ignition-msgs.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
ignition-msgs.x86_64: W: spelling-error %description -l en_US protobuf -> prototype
ignition-msgs-devel.x86_64: W: only-non-binary-in-usr-lib
ignition-msgs-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 1 errors, 6 warnings.


scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=18201011

Comment 4 gil cattaneo 2017-03-05 20:48:52 UTC
(In reply to Rich Mattes from comment #3)
> Thanks for taking this!
> 
> I raised an issue upstream about the proto file licensing:
> https://bitbucket.org/ignitionrobotics/ign-msgs/issues/9/proto-file-licensing

Waiting for a upstream reply

> I updated the package to provide a separate -doc package, with the generated
> html documentation.

Seem all OK now

thanks for your work

Comment 5 gil cattaneo 2017-03-05 20:53:33 UTC
Perhaps in the meantime you could solve this problem:

ignition-msgs.i686: W: unused-direct-shlib-dependency /usr/lib/libignition-msgs0.so.0.7.0 /lib/libignition-math3.so.3
ignition-msgs.i686: W: unused-direct-shlib-dependency /usr/lib/libignition-msgs0.so.0.7.0 /lib/libm.so.6

https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

Comment 6 Rich Mattes 2017-03-29 01:41:57 UTC
Upstream has confirmed the license and added license headers to the proto files.  I've updated the spec to add the --as-needed CXXFLAGS to fix the unused lib deps.

Updated package at:
Spec URL: https://rmattes.fedorapeople.org/RPMS/ignition-msgs/ignition-msgs.spec
SRPM URL: https://rmattes.fedorapeople.org/RPMS/ignition-msgs/ignition-msgs-0.7.0-3.fc25.src.rpm

scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=18652747

Comment 8 Gwyn Ciesla 2017-04-03 12:37:00 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ignition-msgs


Note You need to log in before you can comment on or make changes to this bug.